org.apache.http.impl.conn.tsccm

## Class BasicPoolEntry

- java.lang.Object
- - org.apache.http.impl.conn.AbstractPoolEntry
  - - org.apache.http.impl.conn.tsccm.BasicPoolEntry

- 已过时。
  （4.2）使用`PoolEntry`

      @Deprecated
      public class BasicPoolEntry
      extends AbstractPoolEntry

  连接池条目的基本实现。
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.conn.AbstractPoolEntry

      `connection, connOperator, route, state, tracker`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `BasicPoolEntry(ClientConnectionOperator op, HttpRoute route)` 已过时。 创建一个新的池条目。
    `BasicPoolEntry(ClientConnectionOperator op, HttpRoute route, long connTTL, TimeUnit timeunit)` 已过时。 创建一个具有指定最大生命周期的新池条目。
    `BasicPoolEntry(ClientConnectionOperator op, HttpRoute route, ReferenceQueue<Object> queue)` 已过时。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected OperatedClientConnection` | `getConnection()` 已过时。
    `long` | `getCreated()` 已过时。
    `long` | `getExpiry()` 已过时。
    `protected HttpRoute` | `getPlannedRoute()` 已过时。
    `long` | `getUpdated()` 已过时。
    `long` | `getValidUntil()` 已过时。
    `protected BasicPoolEntryRef` | `getWeakRef()` 已过时。
    `boolean` | `isExpired(long now)` 已过时。
    `protected void` | `shutdownEntry()` 已过时。 关闭条目。
    `void` | `updateExpiry(long time, TimeUnit timeunit)` 已过时。

    - ### Methods inherited from class org.apache.http.impl.conn.AbstractPoolEntry

      `getState, layerProtocol, open, setState, tunnelProxy, tunnelTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### BasicPoolEntry

          public BasicPoolEntry(ClientConnectionOperator op,
                        HttpRoute route,
                        ReferenceQueue<Object> queue)

      已过时。

    - #### BasicPoolEntry

          public BasicPoolEntry(ClientConnectionOperator op,
                        HttpRoute route)

      已过时。
      创建一个新的池条目。
      参数
        `op` - 连接运算符
        `route` - 连接的计划路由

    - #### BasicPoolEntry

          public BasicPoolEntry(ClientConnectionOperator op,
                        HttpRoute route,
                        long connTTL,
                        TimeUnit timeunit)

      已过时。
      创建一个具有指定最大生命周期的新池条目。
      参数
        `op` - 连接运算符
        `route` - 连接的计划路由
        `connTTL` - 此条目的最大使用寿命，<= 0表示“无限远”
        `timeunit` - `timeunit` TimeUnit
      从以下版本开始：
        4.1

  - ### 方法详细信息

    - #### getConnection

          protected final OperatedClientConnection getConnection()

      已过时。

    - #### getPlannedRoute

          protected final HttpRoute getPlannedRoute()

      已过时。

    - #### getWeakRef

          protected final BasicPoolEntryRef getWeakRef()

      已过时。

    - #### shutdownEntry

          protected void shutdownEntry()

      已过时。
      描述从类别`AbstractPoolEntry`复制
      关闭条目。 如果`AbstractPoolEntry.open(HttpRoute, HttpContext, HttpParams)`正在进行中，这将导致打开可能会抛出`IOException` 。
      重写：
        `shutdownEntry`在 `AbstractPoolEntry`

    - #### getCreated

          public long getCreated()

      已过时。
      从以下版本开始：
        4.1

    - #### getUpdated

          public long getUpdated()

      已过时。
      从以下版本开始：
        4.1

    - #### getExpiry

          public long getExpiry()

      已过时。
      从以下版本开始：
        4.1

    - #### getValidUntil

          public long getValidUntil()

      已过时。

    - #### updateExpiry

          public void updateExpiry(long time,
                          TimeUnit timeunit)

      已过时。
      从以下版本开始：
        4.1

    - #### isExpired

          public boolean isExpired(long now)

      已过时。
      从以下版本开始：
        4.1

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585